/*******************************************************************
*
*       Simulated Maximum Likelihood estimation of the
*       stochastic volatiliy model
*       version 1.2
*       February, 1996
*
*       Jon Danielsson (c)
*       Department of Economics
*       University of Iceland
*       101 Reykjavik
*       Iceland
*       e-mail: jond@hag.hi.is
*       ftp  hag.hi.is  
*       WWW  http://www.hag.hi.is/~jond
*       
*       please cite in published work and inform the author.
*
******************************************************************/
#define  CLOCKS_PER_SEC  1000000L

#include <iostream.h>
#include <iomanip.h>
#include <math.h>
#include <fstream.h>
#include <math.h>
//#include <time.h>
#include <stdio.h>
#include "timer.h"
#include <string.h>



char *now(void)
{
	time_t ltime;
	time(&ltime);
	return ctime(&ltime);

}
const secs=86400;
char *elapsed(void)
{
	return t2str(clock()/CLOCKS_PER_SEC);
}
char *t2str(time_t tt)
{
	int i;
	char *st = new char[11];
	for(i=0;i<11;i++) st[i] = '\0';
	int dayes = (tt- (tt%secs))/secs;
	strncpy(st,asctime(gmtime(&tt))+11,8);
	if(dayes==0) return st;
	char *str = new char[11];
	for(i=0;i<11;i++) str[i] = '\0';
	sprintf(str,"%i %s",dayes,st);
	return str;

}
